curl --request POST \
--url https://api.tagada.io/api/public/v1/promotions/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_123",
"pagination": {
"page": 1,
"pageSize": 20
}
}
'{
"items": [
{
"id": "promo_123",
"name": "Summer Sale",
"enabled": true,
"automatic": false,
"usageLimit": 100,
"usageCount": 42,
"startDate": "2025-06-01T00:00:00.000Z",
"endDate": "2025-08-31T23:59:59.000Z"
}
],
"total": 1,
"pageCount": 1
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}promotions
List promotions
Get all promotions for a specific store with filtering, sorting, and pagination
POST
/
api
/
public
/
v1
/
promotions
/
list
curl --request POST \
--url https://api.tagada.io/api/public/v1/promotions/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_123",
"pagination": {
"page": 1,
"pageSize": 20
}
}
'{
"items": [
{
"id": "promo_123",
"name": "Summer Sale",
"enabled": true,
"automatic": false,
"usageLimit": 100,
"usageCount": 42,
"startDate": "2025-06-01T00:00:00.000Z",
"endDate": "2025-08-31T23:59:59.000Z"
}
],
"total": 1,
"pageCount": 1
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}